PUTWC_L(3)

NAME
fputwc_l, putwc_l, putwchar_l - output a wide character to a stream

LIBRARY
libc

SYNOPSIS
#include <stdio.h>
#include <wchar.h>
#include <xlocale.h>
wint_t
fputwc_l(wchar_t wc, FILE *stream, locale_t loc);
wint_t
putwc_l(wchar_t wc, FILE *stream, locale_t loc);
wint_t
putwchar_l(wchar_t wc, locale_t loc);

DESCRIPTION
The fputwc_l(), putwc_l(), and putwchar_l() functions are extended locale versions of the fputwc(), putwc(), and putwchar() functions, respectively. Refer to their manual pages for details. Also, see xlocale(3) for more information about extended locales.

SEE ALSO
putwc(3), xlocale(3)